{
  "schema_version": "1.4.0",
  "id": "GHSA-c83m-wj2v-88pf",
  "modified": "2022-04-06T00:02:13Z",
  "published": "2022-03-26T00:00:32Z",
  "aliases": [
    "CVE-2022-27882"
  ],
  "details": "slaacd in OpenBSD 6.9 and 7.0 before 2022-03-22 has an integer signedness error and resultant heap-based buffer overflow triggerable by a crafted IPv6 router advertisement. NOTE: privilege separation and pledge can prevent exploitation.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2022-27882"
    },
    {
      "type": "WEB",
      "url": "https://blog.quarkslab.com/heap-overflow-in-openbsds-slaacd-via-router-advertisement.html"
    },
    {
      "type": "WEB",
      "url": "https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/033_slaacd.patch.sig"
    },
    {
      "type": "WEB",
      "url": "https://ftp.openbsd.org/pub/OpenBSD/patches/7.0/common/017_slaacd.patch.sig"
    },
    {
      "type": "WEB",
      "url": "https://security.netapp.com/advisory/ntap-20220506-0005"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-681"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2022-03-25T18:15:00Z"
  }
}